import { Observable } from 'rxjs';
export declare class ToastService {
    private controller;
    private _dismissed$;
    readonly dismissed$: Observable<CustomEvent>;
    static createController(): HTMLAnjToastControllerElement;
    dismissAll(): Promise<void>;
    error(message: string, header?: string): Promise<HTMLAnjToastElement>;
    message(message: string, header?: string): Promise<HTMLAnjToastElement>;
    success(message: string, header?: string): Promise<HTMLAnjToastElement>;
    warn(message: string, header?: string): Promise<HTMLAnjToastElement>;
    getController(): Promise<HTMLAnjToastControllerElement>;
    private findController;
    private onToastDidDismiss;
    private findOrCreate;
}
