import { ElementRef, AfterViewInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor, NgControl, NgModel } from '@angular/forms';
export declare class DatetimePickerDirective implements AfterViewInit, ControlValueAccessor {
    private _element;
    private changeRef;
    private ngControl?;
    private _locale?;
    private _meridiem?;
    readonly valueChange: EventEmitter<any | null>;
    ngModel: NgModel;
    private innerDateValue;
    private picker;
    outerValue: string;
    constructor(_element: ElementRef, changeRef: ChangeDetectorRef, ngControl?: NgControl, _locale?: string, _meridiem?: boolean);
    ngAfterViewInit(): void;
    writeValue(newValue: any): void;
    onChange: (value: any) => void;
    onTouch: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onInput(event: any): void;
    onAnjDatetimeChange(event: any): void;
    private changeHandler;
    private localizeForOuterValue;
    private propogateInnerValueChange;
}
